#ifndef _STRUCTS_H
#define _STRUCTS_H

#include <sys/utsname.h>

#define OS_SIZE 128
typedef struct {
	char os_name[OS_SIZE + 1];
	struct utsname uts;

	char *pkg_cmd;
	char *color;

	size_t logo_size;
	char **logo;
} FETCH;

struct par {
	char *str0;
	char *str1;
	char *str2;
	int error_flag;
};

typedef struct {
	int (*func)(const struct par par, const FETCH fetch);
	struct par par;
} PARAMETR;

#endif
